TTF_GetGlyphImage(3)

NAME
TTF_GetGlyphImage - Get the pixel image for a UNICODE codepoint.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_GetGlyphImage(TTF_Font *font, Uint32 ch, TTF_ImageType *image_type);

FUNCTION PARAMETERS

font
    the font to query.

ch  the codepoint to check.

image_type
    a pointer filled in with the glyph image type, may be NULL.

RETURN VALUE
Returns an SDL_Surface containing the glyph, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.